Create many revision clouds at once

The revision cloud command was enhanced in AutoCAD 2016 so that the end result behaves more like a polyline, with vertices on the corners, instead of it being composed of a series of arcs. Make sure the new REVCLOUDGRIPS = 1.

Revision Cloud

What if you need to add several at once? Unfortunately, the REVCLOUD command option for select, only allows you to select a single object. Here is a quick lisp routine that you can use to select any number of closed polylines and each will be converted into the new revision cloud object.

The function name is Poly2RevCld, but you can rename this to whatever you would like.


;;; R.K. McSwain | CAD Panacea, 2015
;;; 1. The new Revision Cloud 'object' is still a polyline, 
;;;    so they still pass the test as a closed polyline and
;;;    can be selected again.
;;; 2. If the system variable DELOBJ = 0, 
;;;    then the original closed polyline will remain in place.
;;; 3. This routine presumes that you have already set the options for
;;;    min and max arc length and the style.
;;; 4. The main command includes an option to reverse the direction, 
;;;    this routine does not do that.
;;; 5. There is no error checking included.
(defun c:Poly2RevCld ( / sset i)
  (setq sset (ssget '((0 . "POLYLINE,LWPOLYLINE")(-4 . "&")(70 . 1))) i 0)
  (repeat (sslength sset)
    (vl-cmdf "._revcloud" "_O" (ssname sset i) "_N")
    (setq i (1+ i))
  )
)

This lisp routine also works in BricsCAD with its REVCLOUD command.